Gecode::Int::Linear::Term< View > Class Template Reference

Class for describing linear term . More...

`#include <linear.hh>`

## Public Attributes

int | a
| Coefficient.
View | x
| View.
int | p
| Original position in array (for sorting into canonical order).

## Detailed Description

template<class View>
class Gecode::Int::Linear::Term< View >

Class for describing linear term .

Definition at line 1336 of file linear.hh.

## Member Data Documentation

## a

template<class View>

int Gecode::Int::Linear::Term< View >::a

Coefficient.

Definition at line 1339 of file linear.hh.

## x

template<class View>

View Gecode::Int::Linear::Term< View >::x

View.

Definition at line 1341 of file linear.hh.

## p

template<class View>

int Gecode::Int::Linear::Term< View >::p

Original position in array (for sorting into canonical order).

Definition at line 1343 of file linear.hh.

The documentation for this class was generated from the following file:

- gecode/int/linear.hh